const app = getApp();
const request = require('../../utils/request.js');
const tools = require('../../utils/tools.js');
import Toast from '../../miniprogram_npm/@vant/weapp/toast/toast';
Page({
  data: {
    elderId: '',
    type: '',
    warnArr: []
  },
  onLoad: function (options) {
    let a = decodeURIComponent(options.q)
    let id = options.q ? this.getCaption(a) : '';
    let khid = wx.getStorageSync('userId');
    wx.setStorageSync('userId', id ? id : khid ? khid : '');
    app.globalData.userId = wx.getStorageSync('userId');
    console.log(app.globalData.userId, '我是id')
    if (!wx.getStorageSync('userId')) {
      wx.showModal({
        title: '提示',
        content: '请扫描二维码进入小程序',
        showCancel: false,
        success: (res) => {
          if (res.confirm) {
            wx.navigateTo({
              url: '/pages/login/login',
            })
          }
        }
      })
      return false;
    }
    tools.isLogin().then((res) => {
      this.getWarnLog();
      console.log(res);
    }, (error) => {
      console.log(error);
    })
  },
  getCaption(obj) {
    let index = obj.lastIndexOf("\/");
    let obj2 = obj.substring(index + 1, obj.length);
    return obj2;
  },
  async getWarnLog() {
    let options = {
      url: 'resource/miniapp/user/getBjList',
      data: {
        openId: wx.getStorageSync('openid'),
        type: app.globalData.type
      },
      method: 'post'
    }
    let res = await request.query(options);
    if (res.data.code === 200) {
      this.setData({
        warnArr: res.data.data.length > 0 ? res.data.data : []
      })
    } else {
      Toast.fail(res.data.msg);
    }
  },
  onReady: function () {},
  onShow: function () {
    // tools.isLogin().then((res) => {
    //   this.getWarnLog();
    //   console.log(res);
    // }, (error) => {
    //   console.log(error);
    // })
    // res.then(res=>{
    //   console.log(res)
    // })
    // let openid = wx.getStorageSync('openid');
    // if (!openid) {
    //   this.toLogin();
    // } else {
    //   this.isExist();
    // }
  },
  // async isExist() {
  //   let options = {
  //     url: 'resource/miniapp/user/isExist',
  //     data: {
  //       loginName: '',
  //       password: '',
  //       accountId: '',
  //       openId: wx.getStorageSync('openid')
  //     },
  //     method: 'post'
  //   }
  //   let res = await request.query(options);
  //   if (res.data.code === 200 && res.data.data.length !== 0) {
  //     console.log(res.data.data)
  //     this.setData({
  //       elderId: res.data.data.data[0].id,
  //       type: res.data.data.type
  //     })
  //     app.globalData.type = res.data.data.type;
  //     this.getWarnLog();
  //   } else {
  //     this.toLogin();
  //   }
  // },
  // toLogin() {
  //   wx.showModal({
  //     title: '提示',
  //     content: '您还未登录',
  //     showCancel: false,
  //     success: (res) => {
  //       if (res.confirm) {
  //         wx.navigateTo({
  //           url: '/pages/login/login',
  //         })
  //       }
  //     }
  //   })
  // },
  onHide: function () {

  },
  onUnload: function () {

  },
  onPullDownRefresh: function () {

  },
  onReachBottom: function () {

  },
  onShareAppMessage: function () {

  }
})